{ this file used to build KME32BIN.INC }

{$A+,B-,D+,E-,F-,G+,I-,L+,N+,O-,P-,Q-,R-,S-,T-,V+,X+,Y+}
{$M 16384,0,655360}
const
  ifile = 'KME32.BIN';
  ofile = 'KME32BIN.INC';
  ioffs = $600;
function hexbyte(b : byte) : string;
  const
    hexchar:array[0..15] of char = '0123456789ABCDEF';
  begin
    hexbyte := hexchar[b shr 4] + hexchar[b and 15];
  end;
var
  f:file;
  ibuf:array[0..16384-1] of byte;
  imax:word;
  i,j:longint;
  t:text;
begin
  assign(f,ifile);
  reset(f,1);
  if ioresult<>0 then halt(1);
  seek(f,ioffs);
  blockread(f,ibuf,sizeof(ibuf),imax);
  close(f);
  while ibuf[imax-1]=0 do dec(imax);
  assign(t,ofile);
  rewrite(t);
  writeln(t,'; KME32BIN.INC');
  writeln(t);
  writeln(t,'kme_start:');
  writeln(t,'kme_main:');
  j:=0;
  for i := 0 to imax-1 do
  begin
    j:=j mod 16+1;
    if j=1 then write(t,'db ');
    write(t,'0',hexbyte(ibuf[i]),'h');
    if (j=16) or (i=imax-1) then
      writeln(t)
    else
      write(t,',');
  end;
  writeln(t,'kme_end:');
  close(t);
end.
